Bug 41556 - remove dead code from custom-attributes
remove dead code from custom-attributes
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: UDM (Generic)
UCS 4.1
Other Linux
: P5 normal (vote)
: UCS 4.2-1-errata
Assigned To: Johannes Keiser
Florian Best
:
Depends on: 41266
Blocks:
  Show dependency treegraph
 
Reported: 2016-06-14 12:13 CEST by Philipp Hahn
Modified: 2017-07-05 13:06 CEST (History)
3 users (show)

See Also:
What kind of report is it?: Bug Report
What type of bug is this?: 3: Simply Wrong: The implementation doesn't match the docu
Who will be affected by this bug?: 2: Will only affect a few installed domains
How will those affected feel about the bug?: 1: Nuisance – not a big deal but noticeable
User Pain: 0.034
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Ticket number:
Bug group (optional): API change, Cleanup
Max CVSS v3 score:
best: Patch_Available+


Attachments
More CA removal (15.43 KB, patch)
2016-06-14 12:13 CEST, Philipp Hahn
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Philipp Hahn univentionstaff 2016-06-14 12:13:15 CEST
Created attachment 7741 [details]
More CA removal

+++ This bug was initially created as a clone of Bug #41266 +++
There still is that "arg" handling left:
> Some objects are not stored in their own LDAP object but are
> attached to an existing object.
Whatever that means, is should be removed.

Maybe remove univention-directory-manager-modules/test/ completely as we now have ucs-test...
Comment 1 Johannes Keiser univentionstaff 2017-07-03 13:57:07 CEST
(In reply to Philipp Hahn from comment #0)
> Created attachment 7741 [details]
> More CA removal
> 
> +++ This bug was initially created as a clone of Bug #41266 +++
> There still is that "arg" handling left:
> > Some objects are not stored in their own LDAP object but are
> > attached to an existing object.
> Whatever that means, is should be removed.
> 
> Maybe remove univention-directory-manager-modules/test/ completely as we now
> have ucs-test...

Applied rebased patch:

r 80770
univention-directory-manager-modules (12.0.17-49) 
* Bug #41556: Applied patch from Philipp Hahn - Remove dead code related to
custom attributes

YAML: r 80771
Comment 2 Florian Best univentionstaff 2017-07-03 14:36:56 CEST
OK: The "ARG: " line is not printed in the UDM list output anymore.
OK: YAML
Comment 3 Janek Walkenhorst univentionstaff 2017-07-05 13:06:27 CEST
<http://errata.software-univention.de/ucs/4.2/79.html>